Package org.globus.axis.transport.commons

# Class ExtendedHttpConnection

java.lang.Object
org.apache.commons.httpclient.HttpConnection
org.globus.axis.transport.commons.ExtendedHttpConnection

public class ExtendedHttpConnection extends org.apache.commons.httpclient.HttpConnection

## Field Summary

### Fields inherited from class org.apache.commons.httpclient.HttpConnection

`isOpen`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedHttpConnection(org.apache.commons.httpclient.HostConfiguration hc, boolean staleChecking)`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.commons.httpclient.HostConfiguration`
`getHostConfiguration()`
`protected org.apache.commons.httpclient.HttpMethodRetryHandler`
`getRetryHandler()`
`protected boolean`
`isFromPool()`
`protected void`
`setFromPool(boolean fromPool)`
`void`
`writeLine()`

### Methods inherited from class org.apache.commons.httpclient.HttpConnection

`assertNotOpen, assertOpen, close, closeIfStale, closeSocketAndStreams, flushRequestOutputStream, getHost, getHttpConnectionManager, getLastResponseInputStream, getLocalAddress, getParams, getPort, getProtocol, getProxyHost, getProxyPort, getRequestOutputStream, getResponseInputStream, getSendBufferSize, getSocket, getSoTimeout, getVirtualHost, isLocked, isOpen, isProxied, isResponseAvailable, isResponseAvailable, isSecure, isStale, isStaleCheckingEnabled, isTransparent, open, print, print, printLine, printLine, printLine, readLine, readLine, releaseConnection, setConnectionTimeout, setHost, setHttpConnectionManager, setLastResponseInputStream, setLocalAddress, setLocked, setParams, setPort, setProtocol, setProxyHost, setProxyPort, setSendBufferSize, setSocketTimeout, setSoTimeout, setStaleCheckingEnabled, setVirtualHost, shutdownOutput, tunnelCreated, write, write, writeLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedHttpConnection

public ExtendedHttpConnection(org.apache.commons.httpclient.HostConfiguration hc, boolean staleChecking)

## Method Details

### getHostConfiguration

protected org.apache.commons.httpclient.HostConfiguration getHostConfiguration()

### setFromPool

protected void setFromPool(boolean fromPool)

### isFromPool

protected boolean isFromPool()

### getRetryHandler

protected org.apache.commons.httpclient.HttpMethodRetryHandler getRetryHandler()

### writeLine

public void writeLine() throws IOException, IllegalStateException

Overrides:
  `writeLine` in class `org.apache.commons.httpclient.HttpConnection`
Throws:
  `IOException`
  `IllegalStateException`